텍스트큐브 1.10.8 발표후보 1 배포

Category : 업데이트/발표 후보
Reg Date : 2015/07/09 23:44

Textcube (이하 텍스트큐브) 1.10.8 (r41, 1.10.20150709)의 첫 발표 후보를 배포합니다.

텍스트큐브 1.10.8

텍스트큐브 1.10.8은 텍스트큐브 1.10 브렌치의 버그 픽스 버전입니다.

v1.10.8 배포 요약

변경된 점

  • 에디터 : tinyMCE 에디터 라이브러리 업그레이드 (4.1.10) (#1823)

버그 수정

  • 플러그인 : 1.10.3에서 새로 추가된 컨텍스트 기반의 플러그인 환경 설정 정보가 경우에 따라 플러그인끼리 섞일 수 있는 문제 수정 (#1749)
  • 플러그인 : 자체 jQuery를 사용하는 플러그인이 텍스트큐브 내의 jQuery와 충돌할 수 있는 문제 수정 (#1825)

피드백

테스트 중 개선에 대한 건의 사항이나 버그 보고는 태터 네트워크 재단 / 태터앤 프렌즈 포럼 의 아이디어 포럼이나 버그 보고 및 품질 검수 포럼으로 부탁 드립니다.

소스에 대하여 궁금하거나 변경사항을 추적하고 싶은 분들께서는 텍스트큐브 소스 내의 documents 디렉토리에 여러 문서들이 있으므로 참고하시기 바랍니다.

아래의 링크에서 다운로드 할 수 있습니다.

2015/07/09 23:44 2015/07/09 23:44

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : http://notice.textcube.org/ko/trackback/285
Comments
COMMENT*

Textcube 1.7 (backport) 의 버전 태깅 변경 안내

Category : 기타
Reg Date : 2010/01/26 16:20
안녕하세요.

현재 텍스트큐브는
  • 텍스트큐브 1.7 에서 업데이트 되고 있는 1.7 트리 (현재 보안 업데이트 대상)
  • 텍스트큐브 1.7 트리에 1.8의 기능들이 후반영 되는 1.7 backport 트리
  • 텍스트큐브 1.8 트리
  • 텍스트큐브 1.9/2.0 트리 (테스트)

의 네 개의 소스 트리로 관리되고 있습니다. 현재는 로드맵에 따라 텍스트큐브 1.7 백포트 트리가 텍스트큐브 1.7.9로 이름 지어져 베타버전까지 배포된 상태이며, 1.8 트리는 1.8.2 발표 후보까지 공개되어 있습니다.

현재 예정되어 있는 텍스트큐브 1.7 트리의 버그 및 보안 업데이트를 배포할 때 버전 번호에 혼동이 올 수 있다는 지적에 따라, 개발 메일링 리스트를 통하여 버전 번호를 어떻게 정리할 것인지에 대한 논의가 있었습니다.

1.7 백포트 트리의 경우
  • PHP 4.3에서도 텍스트큐브 1.8 이상에 반영된 유용한 기능 몇가지를 사용할 수 있고
  • Cubrid / PostgreSQL 등의 데이터베이스를 지원하는
장점이 있습니다만,
  • 데이터베이스 구조를 변경하며 이에 따라 1.7용 플러그인이 동작하지 않는 문제가 생기는
단점이 있습니다.

논의 및 투표 결과,
  • 기존 1.7.9로 공개된 1.7 백포트 트리는 contrib 트리에서 백포트로 별도 관리하며,
  • 기존의 1.7 트리의 버그 및 보안 업데이트 버전을 1.7.9로 다시 명명하는 것으로
결정하였습니다. 이에 따라 1.7 트리의 버그 패치 버전인 1.7.9를 곧 배포할 예정입니다. 1.7.9 베타 트리로 공개된 버전은 백포트 버전을 붙여 별도로 배포하도록 하겠습니다.

넓은 이해 부탁 드립니다.

세 줄 요약
  • 관리 복잡의 문제로 텍스트큐브는 1.7 (PHP 4용) / 1.8 이후 (PHP 5용) 의 두 버전으로 정리되었습니다.
  • PHP 4를 쓸 수 밖에 없지만 1.8의 일부 기능 및 다양한 데이터베이스 지원을 원하시는 분들은 1.7 백포트 트리가 별도로 존재합니다.
  • 새 기능을 사용하기 위해서는 1.7 백포트 트리보다는 가능하면 1.8로 이전해 주시기 바랍니다.

2010/01/26 16:20 2010/01/26 16:20

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : 이 글에는 트랙백을 보낼 수 없습니다
Comments
  1. Draco
    2010/01/26 23:06  PERMALINK  MODIFY/DELETE  REPLY

    -_- 여러가지로 고생하시는건 존경하지만...
    유저 입장에서는 이래저래 참 헤깔리는군요...
    플러그인 개발자 입장에서도 어떤 방향으로 호환성 지원을 해야 할지 난감하고

    • 텍스트큐브
      2010/01/28 13:17  PERMALINK  MODIFY/DELETE

      예- 윗 글에는 설명이 주절주절 길었는데, 사실 너무 관리가 복잡해서 딱 정리해 버린 결과입니다.

      * 기존 1.7 ( PHP 4.3 이상 지원)
      * 새 1.8 (및 그 이후) ( PHP 5.2 이상 지원)

      이렇게 트리를 두 개 남겼다고 생각해 주시면 됩니다^^ 1.7 백포트 트리는 공식 지원에서 제외되고, PHP4 기반에 남을 수 밖에 없는 사용자들을 위해서 비정기적인 업데이트가 되는 트리로 남게 되었습니다.


  2. 2010/01/27 03:55  PERMALINK  MODIFY/DELETE  REPLY

    프로그램은 정말 좋으나 사용자 중심이 아닌 개발자 위주로 개발만 하시다가 인류가 멸망하겠습니다. 사용자들은 이래저래 넘 혼란스럽네요.

    • 텍스트큐브
      2010/01/28 13:21  PERMALINK  MODIFY/DELETE

      설명을 상세하게 하려다보니 너무 복잡해지는 감이 있어서, 세 줄 요약 버전을 올렸습니다. ㅠ_ㅠ 죄송합니다;

COMMENT*